SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - g -

- generated_by : SDH::cDSA::sSensorInfo
- get_duration() : SDH::cSDHSerial
- GetAgeOfFrame() : SDH::cDSA
- GetAxisActualAngle() : SDH::cSDH
- GetAxisActualState() : SDH::cSDH
- GetAxisActualVelocity() : SDH::cSDH
- GetAxisEnable() : SDH::cSDH
- GetAxisLimitAcceleration() : SDH::cSDH
- GetAxisLimitVelocity() : SDH::cSDH
- GetAxisMaxAcceleration() : SDH::cSDH
- GetAxisMaxAngle() : SDH::cSDH
- GetAxisMaxVelocity() : SDH::cSDH
- GetAxisMinAngle() : SDH::cSDH
- GetAxisMotorCurrent() : SDH::cSDH
- GetAxisReferenceVelocity() : SDH::cSDH
- GetAxisTargetAcceleration() : SDH::cSDH
- GetAxisTargetAngle() : SDH::cSDH
- GetAxisTargetVelocity() : SDH::cSDH
- GetAxisValueVector() : SDH::cSDH
- GetContactArea() : SDH::cDSA
- GetContactInfo() : SDH::cDSA
- GetController() : SDH::cSDH
- GetControllerInfo() : SDH::cDSA
- GetCRC() : SDH::cCRC
- GetCRC_HB() : SDH::cCRC
- GetCRC_LB() : SDH::cCRC
- GetDecimalPlaces() : SDH::cUnitConverter
- GetDuration() : SDH::cSDHSerial
- GetEps() : SDH::cSDHBase
- GetEpsVector() : SDH::cSDHBase
- GetErrorMessage() : SDH::cCANSerial_ESD , SDH::cCANSerial_PEAK , SDH::cSerialBase
- GetErrorNumber() : SDH::cCANSerial_ESD , SDH::cCANSerial_PEAK , SDH::cSerialBase , SDH::cTCPSerial
- GetFactor() : SDH::cUnitConverter
- GetFingerActualAngle() : SDH::cSDH
- GetFingerAxisIndex() : SDH::cSDH
- GetFingerEnable() : SDH::cSDH
- GetFingerMaxAngle() : SDH::cSDH
- GetFingerMinAngle() : SDH::cSDH
- GetFingerNumberOfAxes() : SDH::cSDH
- GetFingerTargetAngle() : SDH::cSDH
- GetFingerXYZ() : SDH::cSDH
- GetFirmwareRelease() : SDH::cSDH
- GetFirmwareReleaseRecommended() : SDH::cSDH
- GetFirmwareState() : SDH::cSDHBase
- GetFlag() : SDH::cDBG
- GetFrame() : SDH::cDSA
- GetGripMaxVelocity() : SDH::cSDH
- GetHandle() : SDH::cCANSerial_ESD , SDH::cCANSerial_PEAK
- GetInfo() : SDH::cSDH
- GetKind() : SDH::cUnitConverter
- GetLastErrorMessage() : SDH::cSerialBase
- GetLibraryName() : SDH::cSDH
- GetLibraryRelease() : SDH::cSDH
- GetMatrixIndex() : SDH::cDSA
- GetMatrixInfo() : SDH::cDSA
- GetMatrixSensitivity() : SDH::cDSA
- GetMatrixThreshold() : SDH::cDSA
- GetMotorCurrentModeFunction() : SDH::cSDH
- GetName() : SDH::cUnitConverter
- GetNbBytesToSend() : SDH::sSDHBinaryRequest
- GetNumberOfAxes() : SDH::cSDHBase
- GetNumberOfFingers() : SDH::cSDHBase
- GetNumberOfTemperatureSensors() : SDH::cSDHBase
- GetOffset() : SDH::cUnitConverter
- GetSensorInfo() : SDH::cDSA
- GetStringFromControllerType() : SDH::cSDHBase
- GetStringFromErrorCode() : SDH::cSDHBase
- GetStringFromGraspId() : SDH::cSDHBase
- GetSymbol() : SDH::cUnitConverter
- GetTemperature() : SDH::cSDH
- GetTexel() : SDH::cDSA
- GetTimeout() : SDH::cSerialBase
- GetVelocityProfile() : SDH::cSDH
- grasp_id_name : SDH::cSDHBase
- grip() : SDH::cSDHSerial
- grip_max_velocity : SDH::cSDH
- GripHand() : SDH::cSDH